{% extends "index.html" %}
{% load crispy_forms_tags %}

{% block content %}

    <style>

        body {
            margin-top: 20px;
            color: #1a202c;
            text-align: left;
            background-color: #e2e8f0;
        }

        .main-body {
            padding: 15px;
        }

        .card {
            box-shadow: 0 1px 3px 0 rgba(0, 0, 0, .1), 0 1px 2px 0 rgba(0, 0, 0, .06);
        }

        .card {
            position: relative;
            display: flex;
            flex-direction: column;
            min-width: 0;
            word-wrap: break-word;
            background-color: #fff;
            background-clip: border-box;
            border: 0 solid rgba(0, 0, 0, .125);
            border-radius: .25rem;
        }

        .card-body {
            flex: 1 1 auto;
            min-height: 1px;
            padding: 1rem;
        }

        .gutters-sm {
            margin-right: -8px;
            margin-left: -8px;
        }

        .gutters-sm > .col, .gutters-sm > [class*=col-] {
            padding-right: 8px;
            padding-left: 8px;
        }

        .mb-3 {
            margin-bottom: 1rem !important;
        }

        .col-md-8 {
            border-top: 0px !important;
        }
    </style>

    <div class="container">
        <div class="main-body">

            <div class="row gutters-sm table table-dark table-striped">
                <div class="col-md-4 mb-3">
                    <div class="card">
                        <div class="card-body">
                            <div class="d-flex flex-column align-items-center text-center">
                                {% if user.profile.photo %}
                                    <img src="{{ user.profile.photo.url }}" alt=""
                                         class="rounded-circle" width="150">
                                {% else %}
                                    <img src="https://bootdey.com/img/Content/avatar/avatar7.png" alt=""
                                         class="rounded-circle" width="150">
                                {% endif %}
                                <div class="mt-3">
                                    <h4>{{ user.first_name }} {{ user.last_name }}</h4>
                                    <p class="text-muted font-size-sm">{{ user.profile.bio }}</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-8">
                    <div class="card mb-3">
                        <div class="card-body">
                            <div class="row">
                                <div class="col-sm-3">
                                    <h6 class="mb-0">Birthdate</h6>
                                </div>
                                <div class="col-sm-9 text-secondary">
                                    {{ user.profile.birthdate }}
                                </div>
                            </div>
                            <hr>
                            <div class="row">
                                <div class="col-sm-3">
                                    <h6 class="mb-0">Phone</h6>
                                </div>
                                <div class="col-sm-9 text-secondary">
                                    {{ user.profile.phone_number}}
                                </div>
                            </div>
                            <hr>
                            <div class="row">
                                <div class="col-sm-3">
                                    <h6 class="mb-0">Gender</h6>
                                </div>
                                <div class="col-sm-9 text-secondary">
                                    {{ user.profile.sex}}
                                </div>
                            </div>
                            <hr>
                            <div class="row">
                                <div class="col-sm-3">
                                    <h6 class="mb-0">Position</h6>
                                </div>
                                <div class="col-sm-9 text-secondary">
                                    {{ user.profile.user_type}}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>

{% endblock %}